#ifndef PIDRAWWIN_H
#define PIDRAWWIN_H

// Une fenetre qui contient un drawwdg...

#include "pisysdep.h"
#include PIWIN_H
#include "piscdrawwdg.h"

class PIDrawWindow : public PIWindow {
public:
                 PIDrawWindow(PIMsgHandler* par, const char *nom, 
                                PIWindowKind k=PIWK_normal, int sx=10, int sy=10, 
                                int px=0, int py=0);
                ~PIDrawWindow();
                
 virtual void    AddScDrawer(PIDrawer*, bool ad=false);                
 virtual void    SetAxesFlags(int flags=-1);
 inline PIScDrawWdg * DrawWdg() { return mDrawWdg; }
private:
  PIScDrawWdg*   mDrawWdg;
};



#endif
